part of user_feedback;

class UserFeedbackPage extends StatefulWidget {
  const UserFeedbackPage({Key? key}) : super(key: key);

  @override
  State<UserFeedbackPage> createState() => _UserFeedbackPageState();
}

class _UserFeedbackPageState extends State<UserFeedbackPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('意见反馈'),
          centerTitle: true,
        ),
        body: Container(
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(8),
            color: Colors.transparent,
          ),
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: [
              Container(
                alignment: Alignment.centerLeft,
                padding: const EdgeInsets.only(left: 10, top: 16.5),
                child: const Text.rich(TextSpan(children: [
                  TextSpan(
                      text: "*",
                      style: TextStyle(fontSize: 14, color: Colours.cAB1941)),
                  TextSpan(
                      text: "问题描述或建议",
                      style: TextStyle(
                          fontSize: 14,
                          color: Colours.c3,
                          fontWeight: FontWeight.bold)),
                ])),
              ),
              Container(
                padding: const EdgeInsets.only(
                    left: 10, right: 10, top: 6.5, bottom: 10),

                child: const CustomInput(
                  maxLines: 5,
                  hintText: '请描述你的问题，我们会尽快处理并回复',
                ),
              ),

              // _buildTextField(context),
              Container(
                padding: const EdgeInsets.only(
                    left: 10, right: 10, top: 35, bottom: 20),
                width: double.infinity,
                child:
                CustomGradientButton(
                  text: '提交反馈',
                  isEnabled: true,
                  onPressed: () {
                    print('提交反馈');
                    // controller.onLogin(context);
                  },
                )
              ),
            ],
          ),
        )




    );
  }
}
